A universal implementation of the Node.js global `process`

### Hierarchy

- ICliProcess

## Index

### Properties

- argv
- exit
- stderr
- stdout

## Properties

### argv

argv: string[]

- Defined in src/cli-process.ts:5

### exit

exit: (code?: undefined | number) => void

- Defined in src/cli-process.ts:6

#### Type declaration

- - (code?: undefined | number): void

  - #### Parameters

    - ##### Optional code: undefined | number

    #### Returns void

### stderr

stderr: { isTTY: boolean }

- Defined in src/cli-process.ts:7

#### Type declaration

- ##### isTTY: boolean

### stdout

stdout: { columns: number; isTTY: boolean }

- Defined in src/cli-process.ts:10

#### Type declaration

- ##### columns: number

- ##### isTTY: boolean

Generated using TypeDoc and MonoLisa